package com.gic.demo.project.web.exception;

public enum GicDemoErrCode {
    /**
     * 操作失败
     */
    ERR_0(0, "操作失败"),
    /**
     * 操作成功
     */
    ERR_1(1, "操作成功"),
    /**
     * 缺少参数
     */
    ERR_2(2, "缺少参数"),
    /**
     * 系统异常
     */
    ERR_3(3, "系统异常"),

    ERR_OTHER(-999, "未知错误code");

    private int code;
    private String msg;

    GicDemoErrCode(int code, String value) {
        this.code = code;
        this.msg = value;
    }

    public static GicDemoErrCode getValue(int code) {
        for (GicDemoErrCode sec : GicDemoErrCode.values()) {
            if (code == sec.getCode()) {
                return sec;
            }
        }
        ERR_OTHER.setMsg("未知错误code：" + code);
        return ERR_OTHER;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
